{
  description = "My standard flake-parts devshell template";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    rpi-nix.url = "github:nix-community/raspberry-pi-nix";
  };

  outputs = { nixpkgs, rpi-nix, ... }: {

    nixosConfigurations.kiosk = nixpkgs.lib.nixosSystem {
      system = "aarch64-linux";
      modules = [
        ./base.nix
        ./kiosk.nix

        rpi-nix.nixosModules.raspberry-pi
        rpi-nix.nixosModules.sd-image
        {
          sdImage.compressImage = false;
        }
      ];
    };
  };
}
